org.licas.service.sci

## Class DataTransfer

- java.lang.Object
- - org.licas.service.sci.DataTransfer

-     public class DataTransfer
      extends java.lang.Object

  Single list of data for transfer from one service to another

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.HashMap<java.lang.String,java.util.LinkedHashMap<java.lang.String,org.licas_xml.abs.Element>>` | `dataQueue` Data description.
    `java.lang.String` | `type` Related service type

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTransfer()` Create a new instance of DataTransfer

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<java.lang.String>` | `allTimeKeys()` Get a list of all time keys for all services.
    `org.licas_xml.abs.Element` | `dataFor(java.lang.String timeKey)` Get the data description for the indicated tome key.
    `boolean` | `hasTimeKey(java.lang.String timeKey)` Return true if the data list contains the indicated time key.
    `void` | `removeEntry(java.lang.String timeKey)` Remove the data entry for the time-stamp and the whole type if now empty.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public java.lang.String type

      Related service type

    - #### dataQueue

          public java.util.HashMap<java.lang.String,java.util.LinkedHashMap<java.lang.String,org.licas_xml.abs.Element>> dataQueue

      Data description. Key is a unique service ID and value is a time-stamped list of data entries.

  - ### Constructor Detail

    - #### DataTransfer

          public DataTransfer()

      Create a new instance of DataTransfer

  - ### Method Detail

    - #### dataFor

          public org.licas_xml.abs.Element dataFor(java.lang.String timeKey)

      Get the data description for the indicated tome key.
      Parameters:
        `timeKey` - the time key.
      Returns:
        the XML-based data for that entry, or null if it does not exist.

    - #### hasTimeKey

          public boolean hasTimeKey(java.lang.String timeKey)

      Return true if the data list contains the indicated time key.
      Parameters:
        `timeKey` - the time key.
      Returns:
        true if the time key is an index key.

    - #### allTimeKeys

          public java.util.ArrayList<java.lang.String> allTimeKeys()

      Get a list of all time keys for all services.
      Returns:
        all time keys in a single list.

    - #### removeEntry

          public void removeEntry(java.lang.String timeKey)

      Remove the data entry for the time-stamp and the whole type if now empty.
      Parameters:
        `timeKey` - the time-stamp to remove.